# Generated by superflore -- DO NOT EDIT
#
# Copyright Open Source Robotics Foundation

inherit ros_distro_melodic
inherit ros_superflore_generated

DESCRIPTION = "The wiimote package allows ROS nodes to communicate with a Nintendo Wiimote     and its related peripherals, including the Nunchuk, Motion Plus, and     (experimentally) the Classic. The package implements a ROS node that uses     Bluetooth to communicate with the Wiimote device, obtaining accelerometer     and gyro data, the state of LEDs, the IR camera, rumble (vibrator),     buttons, joystick, and battery state. The node additionally enables ROS     nodes to control the Wiimote's LEDs and vibration for feedback to the human     Wiimote operator. LEDs and vibration may be switched on and off, or made to     operate according to a timed pattern."
AUTHOR = "Jonathan Bohren <jbo@jhu.edu>"
ROS_AUTHOR = "Andreas Paepcke"
HOMEPAGE = "http://www.ros.org/wiki/wiimote"
SECTION = "devel"
LICENSE = "GPL"
LIC_FILES_CHKSUM = "file://package.xml;beginline=4;endline=4;md5=162b49cfbae9eadf37c9b89b2d2ac6be"

ROS_CN = "joystick_drivers"
ROS_BPN = "wiimote"

ROS_BUILD_DEPENDS = " \
    ${PYTHON_PN}-numpy \
    ${ROS_UNRESOLVED_DEP-cwiid-dev} \
    ${ROS_UNRESOLVED_DEP-python-cwiid} \
    geometry-msgs \
    message-generation \
    roscpp \
    roslib \
    roslint \
    rospy \
    sensor-msgs \
    std-msgs \
    std-srvs \
"

ROS_BUILDTOOL_DEPENDS = " \
    catkin-native \
"

ROS_EXPORT_DEPENDS = " \
    ${PYTHON_PN}-numpy \
    ${ROS_UNRESOLVED_DEP-python-cwiid} \
    geometry-msgs \
    roscpp \
    roslib \
    rospy \
    sensor-msgs \
    std-msgs \
    std-srvs \
"

ROS_BUILDTOOL_EXPORT_DEPENDS = ""

ROS_EXEC_DEPENDS = " \
    ${PYTHON_PN}-numpy \
    ${ROS_UNRESOLVED_DEP-cwiid} \
    ${ROS_UNRESOLVED_DEP-python-cwiid} \
    geometry-msgs \
    message-runtime \
    roscpp \
    roslib \
    rospy \
    sensor-msgs \
    std-msgs \
    std-srvs \
"

# Currently informational only -- see http://www.ros.org/reps/rep-0149.html#dependency-tags.
ROS_TEST_DEPENDS = ""

DEPENDS = "${ROS_BUILD_DEPENDS} ${ROS_BUILDTOOL_DEPENDS}"
# Bitbake doesn't support the "export" concept, so build them as if we needed them to build this package (even though we actually
# don't) so that they're guaranteed to have been staged should this package appear in another's DEPENDS.
DEPENDS += "${ROS_EXPORT_DEPENDS} ${ROS_BUILDTOOL_EXPORT_DEPENDS}"

RDEPENDS:${PN} += "${ROS_EXEC_DEPENDS}"

# matches with: https://github.com/ros-gbp/joystick_drivers-release/archive/release/melodic/wiimote/1.14.0-1.tar.gz
ROS_BRANCH ?= "branch=release/melodic/wiimote"
SRC_URI = "git://github.com/ros-gbp/joystick_drivers-release;${ROS_BRANCH};protocol=https"
SRCREV = "0acbfcb5775251353ca48cc1709435d57691a2cb"
S = "${WORKDIR}/git"

ROS_BUILD_TYPE = "catkin"

inherit ros_${ROS_BUILD_TYPE}
