# Generated by superflore -- DO NOT EDIT
#
# Copyright Open Source Robotics Foundation

inherit ros_distro_melodic
inherit ros_superflore_generated

DESCRIPTION = "Uses opencv to find checkboards and compute their 6D poses with respect to the image. Requires the image to be calibrated.<br/>     Parameters:<br/>     <ul>      <li>display - show the checkerboard detection</li>      <li>rect%d_size_x - size of checker in x direction</li>      <li>rect%d_size_y - size of checker in y direction</li>      <li>grid%d_size_x - number of checkers in x direction</li>      <li>grid%d_size_y - number of checkers in y direction</li>     </ul><br/>         There can be more than one grid%d declared, the numbers should grow consecutively starting at 0."
AUTHOR = "Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>"
ROS_AUTHOR = "Rosen Diankov (rdiankov@cs.cmu.edu)"
HOMEPAGE = "https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/checkerboard_detector"
SECTION = "devel"
LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://package.xml;beginline=15;endline=15;md5=d566ef916e9dedc494f5f793a6690ba5"

ROS_CN = "jsk_recognition"
ROS_BPN = "checkerboard_detector"

ROS_BUILD_DEPENDS = " \
    cv-bridge \
    dynamic-reconfigure \
    eigen-conversions \
    image-geometry \
    jsk-recognition-msgs \
    message-filters \
    posedetection-msgs \
    rosconsole \
    roscpp \
    sensor-msgs \
    tf \
    tf2 \
"

ROS_BUILDTOOL_DEPENDS = " \
    catkin-native \
"

ROS_EXPORT_DEPENDS = " \
    cv-bridge \
    dynamic-reconfigure \
    dynamic-tf-publisher \
    eigen-conversions \
    image-geometry \
    image-publisher \
    jsk-recognition-msgs \
    message-filters \
    posedetection-msgs \
    rosconsole \
    roscpp \
    sensor-msgs \
    tf \
    tf2 \
"

ROS_BUILDTOOL_EXPORT_DEPENDS = ""

ROS_EXEC_DEPENDS = " \
    cv-bridge \
    dynamic-reconfigure \
    dynamic-tf-publisher \
    eigen-conversions \
    image-geometry \
    image-publisher \
    jsk-recognition-msgs \
    message-filters \
    posedetection-msgs \
    rosconsole \
    roscpp \
    sensor-msgs \
    tf \
    tf2 \
"

# Currently informational only -- see http://www.ros.org/reps/rep-0149.html#dependency-tags.
ROS_TEST_DEPENDS = " \
    jsk-tools \
    jsk-topic-tools \
    rostest \
"

DEPENDS = "${ROS_BUILD_DEPENDS} ${ROS_BUILDTOOL_DEPENDS}"
# Bitbake doesn't support the "export" concept, so build them as if we needed them to build this package (even though we actually
# don't) so that they're guaranteed to have been staged should this package appear in another's DEPENDS.
DEPENDS += "${ROS_EXPORT_DEPENDS} ${ROS_BUILDTOOL_EXPORT_DEPENDS}"

RDEPENDS:${PN} += "${ROS_EXEC_DEPENDS}"

# matches with: https://github.com/tork-a/jsk_recognition-release/archive/release/melodic/checkerboard_detector/1.2.15-1.tar.gz
ROS_BRANCH ?= "branch=release/melodic/checkerboard_detector"
SRC_URI = "git://github.com/tork-a/jsk_recognition-release;${ROS_BRANCH};protocol=https"
SRCREV = "509e0efd53683903640bfece3bacc46eab862b79"
S = "${WORKDIR}/git"

ROS_BUILD_TYPE = "catkin"

inherit ros_${ROS_BUILD_TYPE}
